using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows.Forms;

namespace WindowsFormsApp1
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        public void Form1_Load(object sender, EventArgs e)
        {
            // TODO: данная строка кода позволяет загрузить данные в таблицу "testDataSet.Specialnost". При необходимости она может быть перемещена или удалена.
            this.specialnostTableAdapter1.Fill(this.testDataSet.Specialnost);
            // TODO: данная строка кода позволяет загрузить данные в таблицу "database1DataSet1.Specialnost". При необходимости она может быть перемещена или удалена.
            this.specialnostTableAdapter.Fill(this.database1DataSet1.Specialnost);

        }

        public void SaveButton_Specialnost_Click(object sender, EventArgs e)
        {
            this.specialnostTableAdapter.Update(testDataSet);
        }

        private void dataGridView1_UserDeletingRow(object sender, DataGridViewRowCancelEventArgs e)
        {
            DialogResult dr = MessageBox.Show("Удалить запись?", "Удаление", MessageBoxButtons.OKCancel, MessageBoxIcon.Warning, MessageBoxDefaultButton.Button2);
            if (dr == DialogResult.Cancel)
            {
                e.Cancel = true;
            }
        }

        private void AddButton_Specialnost_Click(object sender, EventArgs e)
        {
            AddForm af = new AddForm();
            af.Owner = this;
            af.Show();
        }

        private void SearchBtn_Form1_Click(object sender, EventArgs e) //Код для кнопки "Найти" формы Form1
        {
            SearchForm sf = new SearchForm();
            sf.Owner = this;
            sf.Show();
        }

        private void ExitBtn_Form1_Click(object sender, EventArgs e) //Код для кнопки "Выход" формы Form1
        {
            Close();
        }
    }
}
